Page MenuHomePhabricator

Design a more effective process for requesting CL temporary assistance/longer-term support
Closed, ResolvedPublic

Description

What to write

Please use the following as a "template" to clearly define the scope of your request.

  • What is the problem?
  • How does success of this task look like? How do we know when we are done?
  • Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  • What is your expected timeline from start to end? Is there a hard deadline?

(Initial description)
Right now CLs tell teams how they should be approached when their support is necessary (file a task, send an email. etc.), but they don't explain which details need to be included in the request. I need to come up with a minimal set of questions/indications to provide so that we don't have to followup several times. Nick at https://phabricator.wikimedia.org/T150963 is kinda showing the way already.

Event Timeline

Elitre created this task.Feb 7 2017, 1:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 7 2017, 1:41 PM
Elitre triaged this task as Low priority.Feb 7 2017, 1:42 PM
Elitre renamed this task from Design a more effective support request process to Design a more effective process for requesting CL temporary assistance/longer-term support.Feb 7 2017, 6:58 PM

My current idea is merging work related to this task and T154321 for a team goal for next quarter.

Elitre raised the priority of this task from Low to Normal.Apr 26 2017, 5:16 PM
  1. What is the problem?
  2. How does success of this task look like? How do we know when we are done?
  3. Is there any goal, program, project, team related with this request? Please provide links and use the corresponding Phabricator tags when available.
  4. What is your expected timeline from start to end? Is there a hard deadline?

So far these are the questions we're thinking about. They're being piloted already - https://phabricator.wikimedia.org/T166895 was filed following the process for example.

Qgil added a subscriber: Qgil.Jun 13 2017, 7:53 PM

Another example, showing what happens when the questions are added as part of an initial discussion: https://phabricator.wikimedia.org/T167815#3345363

At least in that case the system also works. Good!

Probably, yes, as I've already felt the need to link to those more than once and dislike using links to Office on Phab and wikis.

Qgil added a comment.Jun 15 2017, 3:57 PM

If we have it in Meta (or somewhere public), then we run the risk of receiving support request from... anywhere. I think this is an ok risk to have, probably no requests will come, if there is an exception perhaps it makes sense, and if we get requests that don't make sense we can always decline them.

I think that if we specify that's a protocol for WMF teams to follow or something, people would understand that? We don't really get requests from Meta or other community channels.

Elitre closed this task as Resolved.Jun 29 2017, 2:58 PM

Process is detailed at https://office.wikimedia.org/wiki/Community_Liaisons/Support_requests . Beyond DYI links and recommendations it mostly features the template mentioned above. All of this is also referenced on team page.

Qgil awarded a token.Jun 30 2017, 11:39 AM
Qgil updated the task description. (Show Details)Oct 4 2017, 9:03 AM